Description

If you on-demand sync a large repo like RHEL7 Server x86_64, the Pulp sync will take about 15-20 minutes. However, the

IndexContent step will take even longer, perhaps 20-30 minutes.

It looks like most of the time is spent in import_all:

2018-06-20T21:53:50 [W|app|] begin import_all Katello::Pulp::Rpm

2018-06-20T22:06:47 [W|app|] end import_all Katello::Pulp::Rpm

2018-06-20T22:06:49 [W|app|] begin import_all Katello::Pulp::Srpm

2018-06-20T22:06:49 [W|app|] end import_all Katello::Pulp::Srpm

2018-06-20T22:06:51 [W|app|] begin import_all Katello::Pulp::Erratum

2018-06-20T22:18:21 [W|app|] end import_all Katello::Pulp::Erratum

2018-06-20T22:18:21 [W|app|] begin import_all Katello::Pulp::PackageGroup

2018-06-20T22:18:24 [W|app|] end import_all Katello::Pulp::PackageGroup

I think most of the time is spent in the loop in 

https://github.com/Katello/katello/blob/master/app/models/katello/concerns/pulp_database_unit.rb#L51-L57, where each unit is

loaded individually. Resyncs do not take nearly as long.

Syncing one or more large repos is extremely common when setting up a Katello installation, so any time savings here would be a

big deal.

Associated revisions

Revision 00eb9331 - 12/11/2018 02:52 AM - Christine Fouant

fixes #24024 - increases default bulk_load_size for pulp

History

#1 - 06/20/2018 11:59 PM - Chris Duryee

- Bugzilla link set to 1593480

#2 - 06/27/2018 05:58 PM - Andrew Kofink

- translation missing: en.field_release set to 338

#3 - 08/03/2018 05:32 PM - Jonathon Turel

- Target version changed from Katello 3.7.0 to Katello 3.9.0

#4 - 10/03/2018 06:31 PM - Jonathon Turel

- Target version changed from Katello 3.9.0 to Katello Backlog

#5 - 12/03/2018 03:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing
https://github.com/Katello/katello/blob/master/app/models/katello/concerns/pulp_database_unit.rb#L51-L57


- Assignee set to Christine Fouant

- Pull request https://github.com/Katello/katello/pull/7862 added

#6 - 12/11/2018 03:01 AM - Christine Fouant

- Status changed from Ready For Testing to Closed

Applied in changeset katello|00eb9331095a0149fc39a0fc15b87832895a6b78.
